Subject: [Sigtran] M2PA Flush Buffers

From: [email-masked]
Date: Fri, 7 Mar 2003 12:15:00 +0530

Hi Tom,

The "M2PA Flush Buffer" thread

 was concluded with the points mentioned below.
Since maintaining a RX queue in case of RPO would be a new requirement for M2PA,
I just wanted to confirm that these would be a part of M2PA Draft v8.

>  To summarize:
>
>  - any data received by an M2PA peer experiencing LPO after an RPO
>    has been sent MUST be buffered and MUST NOT be acknowledged.
>
>  - the M2PA peer experiencing LPO MUST NOT send any data messages
>    between sending PROCESSOR-OUTAGE and PROCESSOR-OUTAGE-ENDED
>
>  - the M2PA peer sending PROCESSOR-OUTAGE SHOULD resynchornize
>    sequence numbers by acknowledging all outstanding received
>    data.
>
>  - any data received by an M2PA after receiving PROCESSOR-OUTAGE
>    and before receiving PROCESSOR-OUTAGE-ENDED from the peer
>    MUST be buffered and MUST NOT be acknowledged.
>
>  - the M2PA peer receiving PROCESSOR-OUTAGE MUST NOT send any
>    data until receiving PROCESSOR-OUTAGE-ENDED.
>
>  - the M2PA peer receiving PROCESSOR-OUTAGE SHOULD resynchronize
>    sequence numbers by acknowledging all outstanding data
>    received before receiving PROCESSOR-OUTAGE.

In addition to this, from Section 4.2.4

"If M2PA receives a Flush Buffers command from MTP3, M2PA:

   (a) SHALL NOT transmit any messages to SCTP that are currently
       waiting to be transmitted to SCTP. These messages SHALL be
       discarded.

   (b) SHALL discard all messages currently waiting to be passed
      to MTP3."

Besides the two points from M2PA Draft v7 mentioned above, should the following
also be added ?

   (c) SHALL discard all messages present in the transmit queue
       that are waiting to be acknowledged by the peer.

   (d) SHALL discard all messages in the receive queue that
       have been received by M2PA while in RPO.
      (in accordance with M2PA Flush buffer Thread)

Regards
Anshoo.

DISCLAIMER: This message is proprietary to Hughes Software Systems
Limited (HSS) and is intended solely for the use of the individual
to whom it is addressed. It may contain  privileged or confidential
information  and should not be circulated or used for any purpose other
than for what it is intended. If you have received this message in error,
please notify the originator immediately. If you are not the intended
recipient, you are notified that you are strictly prohibited from using,
copying, altering, or disclosing the contents of this message. HSS accepts
no responsibility for loss or damage arising from the use of the information
transmitted by this email including damage from virus.

---

From: Tom George <[email-masked]>
Date: Fri, 07 Mar 2003 18:52:13 -0600

Yes. M2PAv7 mentioned the retransmission buffer. It will be in v8 as
well. M2PA still does not retransmit messages as does MTP2. But it is
called the retransmission buffer because of MTP2. And as Brian observed,
they can get "retransmitted" on another link by a changeover.

tomG.

[email-masked] wrote:
>   ------------------------------------------------------------------------
> 
  [...]

-- 
* Tom George       PB7-24001 (near B-21)      [email-masked]  *
* 972-519-3168   Intranet:  http://www.ssd.usa.alcatel.com/~tgeorge/  *
* Alcatel;  3400 West Plano Pkwy,  MS PB7-SWPRO;  Plano, Texas 75075  *
* I actively disclaim speaking for Alcatel USA, Inc. I do not purport *
* to advertise or represent its position,  operations, or activities. *
_______________________________________________
Sigtran mailing list
[email-masked]
https://www1.ietf.org/mailman/listinfo/sigtran